Subject: smail 3.1.28 with TCP/IP support - binaries on sunsite/tsx-11/nic
From: [email-masked] (Ian Kluft -- KD6EUI)
Date: Tue, 9 Mar 1993 09:20:11 GMT
Newsgroups: comp.os.linux.announce

Last week I posted a question to c.o.l asking if anyone was interested in
my smail 3.1.28 binaries which include TCP/IP support.  (Up until now, the
smail binaries available for Linux had networking turned off.)  There was
quite a bit of interest so I uploaded the binaries to sunsite, tsx-11 and,
at one responder's request, nic.funet.fi.

I added a shell script which will make life much easier for those of you
trying to configure smail for your system.  It asks a few questions and
makes your config file for you.  See the installation instructions below
for more details.

The binaries can be found on
   nic.funet.fi		/pub/OS/Linux/mail/smail3.1.28.TZ
   sunsite.unc.edu	(archive location not yet assigned)
   tsx-11.mit.edu	(archive location not yet assigned)
(For sources, see below in the README file.)

After uploading the binaries I was informed that the next version of SLS will
also include a network-capable smail.  So, guess who wins?  You do!  Pick
whichever one is more convenient for you.

--README.linux for smail 3.1.28 binaries--------------------------------------
This is the smail 3.1.28 binary distribution for Linux.  It was compiled with
the Linux/gnu libc 4.3 DLL using gcc's -O2 (maximum) optimization.

To run smail on your system:
1. Untar the archive: (assuming you put it in /tmp)

   # remember to run this as root
   cd /
   tar -xzvvof /tmp/smail3.1.28.TZ

   it will unpack files into /usr/bin, /usr/man, and /usr/lib/smail.

2. Set up your smail configuration file.

   a. If you are familiar with smail, proceed on your own from here.  Smail
      is ready for you.

   b. If you are not familiar with smail, I've included a configuration
      script to ask you some questions and make the configuration file for
      you.  Do the following steps:

      # remember to run this as root
      cd /usr/lib/smail
      tools.linux/mkconfig

      Once you answer the questions, it will make your config file and
      you should be, at least minimally, ready to run.  You can change
      things in the future by editing /usr/lib/smail/config with the
      smail(5) man page at your side.  (There are many specialized features
      you may want to look into.)

Once you have established e-mail contact with the outside world, you may
want to join the smail3-users mailing list.  Send a request e-mail to
   [email-masked]
Once you have joined the list, you may send mail to everyone on it - it's mostly
the same address without the -request.

Other help can be obtained from the usual Linux mail channels.  Send a
message to the following address for more information:
   [email-masked]
An automated e-mail server will reply with instructions.

The sources for smail 3.1.28, as installed here, can be obtained via
anonymous FTP (if you have Internet access) from the following locations:
   ftp.uu.net		/networking/mail/smail/		USA (East Coast)
   uxc.cso.uiuc.edu	/pub/				USA (Midwest)
   qiclab.scn.rain.com  /pub/network/			USA (West Coast)
   mcsun.eu.net		/mail/smail/			Europe (Mainland)
   unix.hensa.ac.uk	/pub/uunet/networking/mail/smail/ Europe (UK)
   krynn.efd.lth.se	/pub/mail/smail/		Europe (Sweden)
Sample conf/os/linux and conf/EDITME files, which were used in preparing
these binaries, are provided with this archive in /usr/lib/smail/tools.linux.

Problem reports for this binary installation or the mkconfig script
should be sent to Ian Kluft ([email-masked])
--end of README.linux---------------------------------------------------------
-- 
Ian Kluft  KD6EUI  PP-ASEL                                      San Jose, CA
e-mail: [email-masked] (home)          [email-masked] (work)
ICBM: 37N 20' 16.7" 121W 56' 53.1"                  ARRL grid square: CM97AI
   "If I don't identify my aircraft, can I report a UFO sighting?"  -- me